VisualEditor: [Regression] "More" menu gets shorter (to -1px) when page scrolls after focus-loss close in Firefox
Closed, ResolvedPublic

Description

Tested on both the Italian and the English Wikipedia;
Reach the bottom of any page: the style drop down menu does not open (it does when you're at the top of the page); the link inspector does not present the list of options.


Version: unspecified
Severity: major
See Also:
https://bugzilla.wikimedia.org/show_bug.cgi?id=55465

bzimport set Reference to bz55343.
Elitre created this task.Via LegacyOct 5 2013, 12:42 PM
Ltrlg added a comment.Via ConduitOct 5 2013, 2:42 PM

Same bug with « more » menu

Ltrlg added a comment.Via ConduitOct 6 2013, 10:36 AM

Created attachment 13447
Screenshot of the 0px-height menus

These 3 menus have a height of 0px.

I’ve attached a screenshot of these menus without height.

Attached:

Thryduulf added a comment.Via ConduitOct 6 2013, 5:24 PM
  • Bug 55357 has been marked as a duplicate of this bug. ***
Thryduulf added a comment.Via ConduitOct 6 2013, 5:25 PM

From bug 55357:

TeamGale reports:

"while I was getting more down to the page, the drop down menus were getting
"shorter" and sometimes disappear at the very end. I tried it to many pages to
see if it was happening everywhere and it does. I don't know exactly how to
describe it that's why I took screencaps from the page. All three are from the
same page, in different height. See how the drop down menu of "more" can be
seen entirely at the top of the page and how it gradually disappear as I get
closer to the bottom. It's really weird!! The same thing happens when I am
trying to add a wiki link in the article's text and to be honest, that's how I
notice the gradually disappearing."

The screenshot is at [[File:Drop Down Menus.jpg]]

I can reproduce this in Firefox 24 on Linux when using the vector skin, but not
when using Monobook.

Trying to add a link after the end of the first paragraph I get no suggestions
when my window is not maximised. Even when it is maximised it has completely
disappeared by the end of the page.

What seems to matter is where the view is, not where the cursor is.

Krinkle added a comment.Via ConduitOct 7 2013, 12:32 AM

Can't reproduce it in Chrome, but in Firefox.

Note that (this is difficult to see in the screenshots), the height decreases only when you close and re-open the More menu.

If you open the More menu on top of the page and scroll down, it stays that way and only when you resize the window does the menu grow/shrink (as it should).

But when you close/re-open the menu when scrolled down, it seems to belief the page is shorter than it really is and draw the menu too small (by a factor that relates to how far one scrolls down) until very soon it is completely collapsed.

For me the collapsed point is far from the bottom of the page (I scrolled down a few pixels each time, and after having scrolled a mere 100px it was already completely collapsed).

Elitre added a comment.Via ConduitOct 7 2013, 10:48 AM

Krinkle, do I need to file a different bug for the non-working wikilink menu part? Thanks.

Krinkle added a comment.Via ConduitOct 7 2013, 5:47 PM

(In reply to comment #6)

Krinkle, do I need to file a different bug for the non-working wikilink menu
part? Thanks.

Yes, let's keep that separate. Could be related, but different user end bugs.

gerritbot added a comment.Via ConduitOct 7 2013, 7:27 PM

Change 88195 had a related patch set uploaded by Trevor Parscal:
Bug 55343 - The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88195

gerritbot added a comment.Via ConduitOct 7 2013, 8:37 PM

Change 88195 merged by jenkins-bot:
The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88195

gerritbot added a comment.Via ConduitOct 7 2013, 8:52 PM

Change 88225 had a related patch set uploaded by Jforrester:
The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88225

gerritbot added a comment.Via ConduitOct 7 2013, 8:53 PM

Change 88226 had a related patch set uploaded by Jforrester:
The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88226

Jdforrester-WMF added a comment.Via ConduitOct 8 2013, 9:24 PM
  • Bug 55362 has been marked as a duplicate of this bug. ***
gerritbot added a comment.Via ConduitOct 8 2013, 11:28 PM

Change 88225 merged by Robmoen:
The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88225

gerritbot added a comment.Via ConduitOct 8 2013, 11:28 PM

Change 88226 merged by Robmoen:
The amazing mystery of scrollTop and onscroll

https://gerrit.wikimedia.org/r/88226

Jdforrester-WMF added a comment.Via ConduitOct 9 2013, 1:10 AM

Note that this is fixed and has been deployed to the cluster. Please re-open if it still occurs for you after a refresh.

Add Comment